/* identify tiles pattern */

surface randomdisks ( 			float Ka = 1;
						float Kd = 0.5;
						float Ks = 0.5;
						float roughness = 0.1;
						color specularcolor = 1;)
{
	/* Initialize Useful Variables */
	normal Nf=faceforward(normalize(N),I);
	vector V = normalize(-I);
	color Ct;
	float edge_threshold = 0.025; /* edge threshold to interpolate between */
	float repeatCount = 5; /* Number of tiles */
	float ss=mod(s*repeatCount,1);
	float tt=mod(t*repeatCount,1);
	point center=point (0.5,0.5,0);
	point pos=point (ss,tt,0);
	float dist=distance(center,pos);
	
	/* Texturing */
	float radius = float cellnoise(repeatCount*s,repeatCount*t) * 0.4; /* scale to fit inside texture coordinates  */
	color diskColor = color cellnoise(repeatCount*s,repeatCount*t); /* create a random color for each disk */
	float inDisk = 1 - smoothstep(radius-edge_threshold,radius+edge_threshold,dist);
	Ct = mix(Cs,diskColor,inDisk);
	
		
	/* Shading */
	Oi=Os;
	Ci = Oi * ( Ct * (Ka*ambient()+Kd*diffuse(Nf))+specularcolor * Ks*specular(Nf,V,roughness)); /* Basic Plastic Shader */

}